import { createRouter, createWebHashHistory } from 'vue-router'

const routes = [
    {
        path: '/resident',
        name: 'resident',
        component: () => import(/* webpackChunkName: "page-resident" */ '@/resident/Resident.vue'),
        children: [
            {
                path: 'screening/first/form',
                name: 'resident-screening-first-form',
                component: () => import(/* webpackChunkName: "page-resident" */ '@/resident/screening/first/form/Index.vue')
            },
            {
                path: 'screening/first/detail',
                name: 'resident-screening-first-detail',
                component: () => import(/* webpackChunkName: "page-resident" */ '@/resident/screening/first/detail/List.vue')
            },
            {
                path: 'screening/first/detail/:id',
                name: 'resident-screening-first-detail-id',
                component: () => import(/* webpackChunkName: "page-resident" */ '@/resident/screening/first/detail/Detail.vue')
            }
        ]
    },
    {
        path: '/doctor',
        name: 'doctor',
        component: () => import(/* webpackChunkName: "page-doctor" */ '@/doctor/Doctor'),
        children: [
            {
                path: 'followUp/list',
                name: 'followUp-list',
                component: () => import(/* webpackChunkName: "page-doctor" */ '@/doctor/followUp/List')
            },
            {
                path: 'followUp/search',
                name: 'followUp-search',
                component: () => import(/* webpackChunkName: "page-doctor" */ '@/doctor/followUp/search/Search.vue')
            },
            {
                path: 'followUp/generalFU/detail',
                name: 'followUp-generalFU-detail',
                component: () => import(/* webpackChunkName: "page-doctor" */ '@/doctor/followUp/generalFU/detail/Detail')
            },
            {
                path: 'followUp/generalFU/add',
                name: 'followUp-generalFU-add',
                component: () => import(/* webpackChunkName: "page-doctor" */ '@/doctor/followUp/generalFU/form/Index')
            },
        ]
    }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

export default router
